Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.p2p.glacier.v2.messaging
Class GlacierRefreshProbeMessage

    java.lang.Object
      rice.p2p.glacier.v2.messaging.GlacierMessage
          rice.p2p.glacier.v2.messaging.GlacierRefreshProbeMessage

All Implemented Interfaces:
  Message, java.io.Serializable

public class GlacierRefreshProbeMessage
extends GlacierMessage

DESCRIBE THE CLASS

Version:
  $Id: pretty.settings,v 1.3 2005/03/11 20:22:33 jeffh Exp $
Author:
  jeffh
See Also:
  Serialized Form

Field Summary
`protected Id` | `requestedId` DESCRIBE THE FIELD

Fields inherited from class rice.p2p.glacier.v2.messaging.GlacierMessage
`dest, id, isResponse, source, tag`

Fields inherited from interface rice.p2p.commonapi.Message
`HIGH_PRIORITY, LOW_PRIORITY, MEDIUM_HIGH_PRIORITY, MEDIUM_LOW_PRIORITY, MEDIUM_PRIORITY`

Constructor Summary
`GlacierRefreshProbeMessage(int uid, Id requestedId, NodeHandle source, Id dest, char tag)` Constructor for GlacierRefreshProbeMessage.

Method Summary
`Id` | `getRequestedId()` Gets the RequestedId attribute of the GlacierRefreshProbeMessage object
`java.lang.String` | `toString()` DESCRIBE THE METHOD

Methods inherited from class rice.p2p.glacier.v2.messaging.GlacierMessage
`getDestination, getPriority, getSource, getTag, getUID, isResponse`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### requestedId

    protected Id requestedId

  DESCRIBE THE FIELD

Constructor Detail

### GlacierRefreshProbeMessage

    public GlacierRefreshProbeMessage(int uid,
                                      Id requestedId,
                                      NodeHandle source,
                                      Id dest,
                                      char tag)

  Constructor for GlacierRefreshProbeMessage.

Parameters:
  `uid` - DESCRIBE THE PARAMETER
  `requestedId` - DESCRIBE THE PARAMETER
  `source` - DESCRIBE THE PARAMETER
  `dest` - DESCRIBE THE PARAMETER
  `tag` - DESCRIBE THE PARAMETER

Method Detail

### getRequestedId

    public Id getRequestedId()

  Gets the RequestedId attribute of the GlacierRefreshProbeMessage object

  Returns:
    The RequestedId value

### toString

    public java.lang.String toString()

  DESCRIBE THE METHOD

  Returns:
    DESCRIBE THE RETURN VALUE

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.